<?php
namespace Claromentis\Core\Psr7Bridge;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_4c05b95d6" . "bb1191967c" . "cfe58bffbb" . "d86" => base64_decode("b25LZXJuZWx" . "WaWV3"));
use Claromentis\Core\Event\EventSubscriberInterface;
use Psr\Http\Message\ResponseInterface;
use Symfony\Bridge\PsrHttpMessage\HttpFoundationFactoryInterface;
use Symfony\Component\HttpKernel\Event\ViewEvent;
use Symfony\Component\HttpKernel\KernelEvents;




class ResponseConverter implements EventSubscriberInterface
{
    protected $converter;
    public function __construct(HttpFoundationFactoryInterface $_9a50aae6960d3ff99682e19d1bf7ca45)
    {
        $this->converter = $_9a50aae6960d3ff99682e19d1bf7ca45;
    }
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::VIEW => $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4c05b95d6bb1191967ccfe" . "58bffbbd86"]);
    }
    public function onKernelView(ViewEvent $event)
    {
        $_fd5a3a643834299cbdadfc3540ba0bcb = $event->getControllerResult();
        if (!$_fd5a3a643834299cbdadfc3540ba0bcb instanceof ResponseInterface) {
            return;
        }
        $event->setResponse($this->converter->createResponse($_fd5a3a643834299cbdadfc3540ba0bcb));
    }
}